<?php
/*
* @version $Id: helper.php $
* @version      1.0.0 30/05/2014
* @package		mod_kunena_user_hits
* @author       Bernard Saulm
* @copyright    Copyright (C) 2014 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// No direct access
defined('_JEXEC') or die;

class modKunenaUserHitsHelper {

	// Retrieve attachment
	public static function getUserHits($user = null) {

		$db	= JFactory::getDBO();
		$query = "SELECT `uhits` FROM `#__kunena_users` WHERE `userid` = ".$db->Quote($user->id);
		$db->setQuery($query);
		return $db->loadResult();
	}

	public static function resetUserHits($user = null, $limit = 0) {

		$db	= JFactory::getDBO();

		if ($user == null && $limit > 0) {
			$query = "UPDATE `#__kunena_users` SET `uhits` = 0 WHERE `uhits` > ".$db->Quote($limit);
		} else if ($user != null) {
			$query = "UPDATE `#__kunena_users` SET `uhits` = 0 WHERE `userid` = ".$db->Quote($user->id);
			if ($limit > 0)
				$query .= " AND `uhits` > ".$db->Quote($limit);
		} else {
			return 0;
		}

		$db->setQuery($query);
		$res = $db->query();
		if ($res)
			return($db->getAffectedRows($res));

		if ($error = $db->getErrorMsg()) {
			$this->setError($error);
			return false;
		}

		return 0;
	}

}

?>
