<?php
/*
* @version $Id: reset_user_hits.php $
* @version      1.0.1 16/07/2015
* @package		mod_kunena_user_hits
* @author       Bernard Saulm
* @copyright    Copyright (C) 2014-2015 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Define
define('_JEXEC', 1);
define('DS', DIRECTORY_SEPARATOR);
define('JPATH_BASE', dirname(substr(__FILE__, 0, strpos(__FILE__, 'mod_kunena_user_hits'))));

// Framework
require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');
// Counter DB fct
require_once(JPATH_BASE.DS.'modules'.DS.'mod_kunena_user_hits'.DS.'helper.php');

$app = JFactory::getApplication('site');
$app->initialise();
// $app->render(); // Render the application

// Token
JRequest::checkToken('post') or jexit(JText::_('JINVALID_TOKEN'));

$user = JFactory::getuser();
$return = JRequest::getCmd('return', '');

if ($user->id > 0) {
	$retour = modKunenaUserHitsHelper::resetUserHits($user);
	if ($retour)
		$app->enqueueMessage(JText::_('MOD_KUNENAUSERHITS_INFO_RESET'));
}

$url = base64_decode($return);
$app->redirect($url);

?>
